#
# spec file for package dpic
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dpic
Version:        2017.08.01
Release:        lp150.1.7
Summary:        Pic language processor
License:        BSD-2-Clause AND CC-BY-3.0
Group:          Productivity/Publishing/Other
Url:            http://www.ece.uwaterloo.ca/~aplevich/dpic/
Source0:        https://ece.uwaterloo.ca/~aplevich/dpic/%{name}-%{version}.tar.gz

%description
Pic language processor for LaTeX documents or web sites.

%package        doc
Summary:        Documentation for dpic
Group:          Documentation/Other
Requires:       dpic
BuildArch:      noarch

%description    doc

This package contains the documentation for dpic.

%prep
%setup -q -n %{name}-%{version}

%build
%configure \
    --docdir=%{_docdir}/%{name}

make %{?_smp_mflags}

%install
%make_install PREFIX=%{_prefix} DOCDIR=%{buildroot}%{_docdir}/%{name}

%files
%doc README CHANGES
%exclude %{_docdir}/dpic/dpicdoc.pdf
%exclude %{_docdir}/dpic/dpictools.pic
%{_bindir}/%{name}
%{_mandir}/man1/dpic.1*

%files doc
%{_docdir}/dpic/dpicdoc.pdf
%{_docdir}/dpic/dpictools.pic

%changelog
* Wed Aug 23 2017 dmitry_r@opensuse.org
- Update to version 2017.08.01
  * Minor changes and bugfixes
* Thu Aug 13 2015 dmitry_r@opensuse.org
- Update to version 2015.06.29
  * Fixed a bug in svg output.
  * Undeferred error messaging. Improved readability of C code.
* Wed May 20 2015 dmitry_r@opensuse.org
- Update to version 2015.05.19
  * Bugfixes for nested if-statement and multiple pdf strings.
  * Fix comment lines containing braces in macro and for bodies.
    Revised messages for some errors.
* Wed Feb 25 2015 dmitry_r@opensuse.org
- Update to version 2015.02.16
  * Reworked the handling of backslashes in strings in macro arguments.
  * PDF output. Built-in variable dpicopt and variables added for
    detecting command options. Linear objects reworked for
    consistent fill.
* Tue Jan 14 2014 dmitry_r@opensuse.org
- Update to version 2014.01.01
  * Input lines of arbitrary length and line continuation (except
    in strings).  Object parameters .thick = .thickness and .len =
    .length, eg t=last box.thick; q = last line.len
* Sat Oct  5 2013 dmitry_r@opensuse.org
- Update to version 2013.09.30
  * Better portability of the random() function
* Mon Mar 11 2013 dmitry_r@opensuse.org
- update to version 2013.03.10
  * Minor tweak to svg output
* Sat Nov 24 2012 dmitry_r@opensuse.org
- update to version 2012.11.04
  * Change to always send errors to /dev/stderr
* Thu Sep  6 2012 cfarrell@suse.com
- license update: BSD-2-Clause and CC-BY-3.0
  dpicdoc.pdf is CC-BY-3.0 licensed according to dpic/README
* Thu Aug 16 2012 dmitry_r@opensuse.org
- separate dpic-doc package
- using %%optflags for build
* Mon Jul 16 2012 dmitry_r@opensuse.org
- update to version 2012.07.14
  * Fixed the previous fix to handle planar objects correctly
* Sun Jun 24 2012 dmitry_r@opensuse.org
- update to version 2012.06.20
  * Give line attributes the same effect for pgf and pstricks ouput
* Sat Jun  2 2012 dmitry_r@opensuse.org
- update to version 2012.05.29
  * Error message for zero second argument to pmod(,)
* Fri Feb 17 2012 dmitry_r@opensuse.org
- update to version 2012.02.12
  * Fixed a mishandling of null macro arguments in loops.
* Thu Dec  8 2011 dmitry_r@opensuse.org
- update to version 2011.12.06
  * changes in documents
* Thu Dec  8 2011 coolo@suse.com
- fix license to be in spdx.org format
* Fri Sep 23 2011 dmitry_r@opensuse.org
- update to version 2011.07.11
  * changes in documents
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
* Thu Jun 16 2011 dmitry_r@opensuse.org
- update to version 2011.06.05
  * changes in documents
* Fri Mar 18 2011 dmitry_r@opensuse.org
- update to version 2011.03.17
  * Compile #elif for OpenBSD
* Sat Jan  1 2011 dmitry_r@opensuse.org
- update to version 2010.12.30
  * Reworked for loops to allow assignment to the loop variable.
* Thu Dec  9 2010 dmitry_r@opensuse.org
- initial package
- version 2010.12.08
